Page MenuHomePhabricator

Create canary deploy process for MediaWiki
Closed, ResolvedPublic

Description

Tracking task for creating a canary deploy process in response to next steps identified in https://wikitech.wikimedia.org/wiki/Incident_documentation/20160601-MediaWiki

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 2 2016, 9:02 PM
mmodell edited projects, added Scap; removed scap2.Feb 10 2017, 6:22 PM
thcipriani closed this task as Resolved.May 8 2018, 8:03 PM
thcipriani claimed this task.

For MediaWiki we are currently running a basic swagger check to check responses for a small number of endpoints, and a logstash check to monitor drastic changes in the error rate for logs during for each deployment. Scap3 deployments provide a mechanism for repository maintainers to write and run their own checks as well as respond to nrpe checks.

I think we have the basics of a canary process for both MediaWiki and scap3 deploys of other repositories and services. Calling this resolved.